GETUDENT(3)

NAME
getuduser - return user database entry of Unidata user

SYNOPSIS

#include <unistd.h>

const struct passwd *getudent(void);

DESCRIPTION

This function returns the user database entry for the Unidata user -- or NULL if no such user exists. It tries the UNIX function `getpwnam()' with a series of user names and stops at the first valid entry. The first name tried is the value of the environment variable UDLOGNAME, if it exists. The remaining names are, in order, "unidata", "ldm4", and "ldm".

ENVIRONMENT

UDLOGNAME
    Contains the name of the Unidata user.